当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 1 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : ubuntu 8.10已经没有g77,但我的csh脚本用到了,而g77安装又不成功,各位有什么好的解决办法?
帖子发表于 : 2009-03-25 0:18 

注册: 2008-02-22 22:17
帖子: 22
送出感谢: 0 次
接收感谢: 0 次
ubuntu 8.10已经没有g77了(http://wiki.ubuntu.org.cn/index.php?title=Gcc_Fortran_Intro&variant=zh-cn,里面内容证明了这一点),我的csh脚本用到了g77,而g77安装又不成功,各位有什么好的解决办法?

附:
未能实现的解决方法:1、自己下载了一个g77的deb软件包g77-3.4-doc_3.4.6-6ubuntu5_all.deb,装上之后还是不对(我用的是ubuntu 8.10版本,采用apt-get install方式已经安装不了了)。软件包的文件列表如下:
./
usr/
usr/share/
usr/share/doc/
usr/share/doc/gcc-3.4-base/
usr/share/doc/gcc-3.4-base/fortran/
usr/share/doc/gcc-3.4-base/fortran/g77.html
usr/share/info/
usr/share/info/g77-3.4.info.gz
usr/share/doc-base/
usr/share/doc-base/g77-3.4
usr/share/doc/g77-3.4-doc

2、我下载了ubuntu官方网站里面很多其他的g77软件包来安装,也都不对,它们都出现了同一个问题:Error:Dependence is not satisfiable.文件包举例:g77_3.4.6-31ubuntu6_i386.deb,包含文件列表如下
./
usr/
usr/bin/
usr/share/
usr/share/man/
usr/share/man/man1/
usr/share/doc/
usr/bin/i486-linux-gnu-g77
usr/bin/g77
usr/share/man/man1/i486-linux-gnu-g77.1.gz
usr/share/man/man1/g77.1.gz
usr/share/doc/g77


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 1 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译